Trying to install rt3.4.4

Hi There,

I have tried to install RequestTracker on my box running FC2.
I am currently facing this problem when i do a ‘make fixdeps’

Wondering if theres any kind soul out there that could help me because i am
not a linux guru

When i do a 'make testdeps’
It shows everything ‘found’ but at the end of the check, it says “SOMETHING
WAS MISSING!”

and when i do a 'make fixdeps’
the following appears at the end.

SOMETHING WAS MISSING!

Looks like your test died before it could output anything.

make: *** [fixdeps] Error 255

Thanks to the kind soul in advance!

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd

Hi There,

I have tried to install RequestTracker on my box running FC2.
I am currently facing this problem when i do a ‘make fixdeps’

Wondering if theres any kind soul out there that could help me because i am
not a linux guru

When i do a 'make testdeps’
It shows everything ‘found’ but at the end of the check, it says “SOMETHING
WAS MISSING!”

and when i do a 'make fixdeps’
the following appears at the end.

SOMETHING WAS MISSING!

Looks like your test died before it could output anything.

make: *** [fixdeps] Error 255

Thanks to the kind soul in advance!

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd

http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Be sure to check out the RT Wiki at http://wiki.bestpractical.com

Buy your copy of our new book, RT Essentials, today!

Download a free sample chapter from http://rtbook.bestpractical.com

Hi There,

I managed to make install successfully but the following step failed.

make initialize-database

/usr/bin/perl //opt/rt3/sbin/rt-setup-database --action init --dba
root --prompt-for-dba-password
Can’t locate MIME/Entity.pm in @INC (@INC contains: /opt/rt3/lib
/usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2
/usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2
/usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl .) at /opt/rt3/lib/RT/I18N.pm line 67.
BEGIN failed–compilation aborted at /opt/rt3/lib/RT/I18N.pm line 67.
Compilation failed in require at /opt/rt3/lib/RT.pm line 48.
BEGIN failed–compilation aborted at /opt/rt3/lib/RT.pm line 48.
Compilation failed in require at //opt/rt3/sbin/rt-setup-database line 57.
BEGIN failed–compilation aborted at //opt/rt3/sbin/rt-setup-database line
57.
make: *** [initialize-database] Error 2

Wondering if anyone can help me out here

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd----- Original Message -----
From: “yiqiang” yiqiang@happix.net
To: rt-users@lists.bestpractical.com
Sent: Tuesday, October 11, 2005 9:52 AM
Subject: [rt-users] trying to install rt3.4.4

Hi There,

I have tried to install RequestTracker on my box running FC2.
I am currently facing this problem when i do a ‘make fixdeps’

Wondering if theres any kind soul out there that could help me because i am
not a linux guru

When i do a 'make testdeps’
It shows everything ‘found’ but at the end of the check, it says “SOMETHING
WAS MISSING!”

and when i do a 'make fixdeps’
the following appears at the end.

SOMETHING WAS MISSING!

Looks like your test died before it could output anything.

make: *** [fixdeps] Error 255

Thanks to the kind soul in advance!

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd

http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Be sure to check out the RT Wiki at http://wiki.bestpractical.com

Buy your copy of our new book, RT Essentials, today!

Download a free sample chapter from http://rtbook.bestpractical.com

http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Be sure to check out the RT Wiki at http://wiki.bestpractical.com

Buy your copy of our new book, RT Essentials, today!

Download a free sample chapter from http://rtbook.bestpractical.com

Hi There,

I managed to make install successfully but the following step failed.
Appreciate if someone could help me out here…

make initialize-database

/usr/bin/perl //opt/rt3/sbin/rt-setup-database --action init --dba
root --prompt-for-dba-password
Can’t locate MIME/Entity.pm in @INC (@INC contains: /opt/rt3/lib
/usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2
/usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2
/usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl .) at /opt/rt3/lib/RT/I18N.pm line 67.
BEGIN failed–compilation aborted at /opt/rt3/lib/RT/I18N.pm line 67.
Compilation failed in require at /opt/rt3/lib/RT.pm line 48.
BEGIN failed–compilation aborted at /opt/rt3/lib/RT.pm line 48.
Compilation failed in require at //opt/rt3/sbin/rt-setup-database line 57.
BEGIN failed–compilation aborted at //opt/rt3/sbin/rt-setup-database line
57.
make: *** [initialize-database] Error 2

Wondering if anyone can help me out here

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd

Actually i did but it gives this error.

Failed Test Stat Wstat Total Fail Failed List of Failed
t/Misc.t 14 7 50.00% 4-5 7-11
Failed 1/10 test scripts, 90.00% okay. 7/232 subtests failed, 96.98% okay.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory `/root/.cpan/build/MIME-tools-5.418’
/usr/bin/make test – NOT OK
Running make install
make test had returned bad status, won’t install without force
Mail::Mailer 1.57…found
Net::SMTP …found
Text::Wrapper …found
Time::ParseDate …found
Time::HiRes …found
File::Temp …found
Term::ReadKey …found
Text::Autoformat …found
Text::Quoted 1.3…found
Tree::Simple 1.04…found
Scalar::Util …found
Module::Versions::Report …found
Cache::Simple::TimedExpiry …found
XML::Simple …found

SOMETHING WAS MISSING!

Looks like your test died before it could output anything.

make: *** [fixdeps] Error 255

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd----- Original Message -----
From: “Harald Wagener” hwagener@hamburg.fcb.com
To: “yiqiang” yiqiang@happix.net
Sent: Wednesday, October 12, 2005 12:04 AM
Subject: Re: [rt-users] trying to install rt3.4.4

Am 11.10.2005 um 18:00 schrieb yiqiang:

Hi There,

I managed to make install successfully but the following step failed.
Appreciate if someone could help me out here…

make initialize-database

/usr/bin/perl //opt/rt3/sbin/rt-setup-database --action init --dba
root --prompt-for-dba-password

Can’t locate MIME/Entity.pm in @INC (@INC contains: /opt/rt3/lib

You forget to ‘make fixdeps’ before trying to set up the database.

Regards,
Harald

I have tried to install RequestTracker on my box running FC2.
I am currently facing this problem when i do a ‘make fixdeps’

Some of the CPAN modules have changed recently. The last time
I installed, I had to install a few modules manually (with
perl -MCPAN -eshell). I had to ‘install Pod::Tests’ first, then
’force install WWW::Mechanize’ and ‘force install Test::More’.
After that, the ‘make fixdeps’ installed everything else.
It is possible that additional changes have happened, though.

Les Mikesell
les@futuresource.com

Hi,

Thanks for the reply.

I have checked and the following modules u mentioned are up to date on my
CPAN.
I am not sure what modules are missing because when i do a 'make testdeps’
everything shows "found"
cept for the last line which shows “SOMETHING WAS MISSING!”

a ‘make fixdeps’ still show the following.

Failed Test Stat Wstat Total Fail Failed List of Failed
t/Misc.t 14 7 50.00% 4-5 7-11
Failed 1/10 test scripts, 90.00% okay. 7/232 subtests failed, 96.98% okay.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory `/root/.cpan/build/MIME-tools-5.418’
/usr/bin/make test – NOT OK
Running make install
make test had returned bad status, won’t install without force
Mail::Mailer 1.57…found
Net::SMTP …found
Text::Wrapper …found
Time::ParseDate …found
Time::HiRes …found
File::Temp …found
Term::ReadKey …found
Text::Autoformat …found
Text::Quoted 1.3…found
Tree::Simple 1.04…found
Scalar::Util …found
Module::Versions::Report …found
Cache::Simple::TimedExpiry …found
XML::Simple …found

SOMETHING WAS MISSING!

Looks like your test died before it could output anything.

make: *** [fixdeps] Error 255

any advice?

With Regards,

Low Ee Chiang
MantaNetworks Pte Ltd----- Original Message -----
From: “Les Mikesell” les@futuresource.com
To: “yiqiang” yiqiang@happix.net
Cc: rt-users@lists.bestpractical.com
Sent: Wednesday, October 12, 2005 2:11 AM
Subject: Re: [rt-users] trying to install rt3.4.4

On Mon, 2005-10-10 at 20:52, yiqiang wrote:

I have tried to install RequestTracker on my box running FC2.
I am currently facing this problem when i do a ‘make fixdeps’

Some of the CPAN modules have changed recently. The last time
I installed, I had to install a few modules manually (with
perl -MCPAN -eshell). I had to ‘install Pod::Tests’ first, then
’force install WWW::Mechanize’ and ‘force install Test::More’.
After that, the ‘make fixdeps’ installed everything else.
It is possible that additional changes have happened, though.

Les Mikesell
les@futuresource.com

Thanks for the reply.

I have checked and the following modules u mentioned are up to date on my
CPAN.
I am not sure what modules are missing because when i do a 'make testdeps’
everything shows "found"
cept for the last line which shows “SOMETHING WAS MISSING!”

Try installing Pod::Tests, then run it again.

Les Mikesell
les@futuresource.com

Thanks.

I found the actual problem. It was the MIME::Entity and i did a force
install using CPAN.
I got past the make testdeps.

“make install” works as well but “make initialize-database” gives the
following error

[root@fc rt-3.4.4]# make initialize-database
/usr/bin/perl //opt/rt3/sbin/rt-setup-database --action init --dba
root --prompt-for-dba-password
In order to create or update your RT database,this script needs to connect
to your mysql instance on localhost as root.
Please specify that user’s database password below. If the user has no
database
password, just press return.

Password:
DBI connect(’;host=localhost’,‘root’,…) failed: Access denied for user:
‘root@localhost’ (Using password: NO) at //opt/rt3/sbin/rt-setup-database
line 101
Failed to connect to dbi:mysql:;host=localhost as root: Access denied for
user: ‘root@localhost’ (Using password: NO) at
//opt/rt3/sbin/rt-setup-database line 101, line 1.
make: *** [initialize-database] Error 255

I am sure mysql is installed and running.
but when i do the following, error occurs as well.

[root@fc rt-3.4.4]# mysql
ERROR 1045: Access denied for user: ‘root@localhost’ (Using password: NO)

Any advice?

With Regards,

Low Ee Chiang----- Original Message -----
From: “Les Mikesell” les@futuresource.com
To: “yiqiang” yiqiang@happix.net
Cc: rt-users@lists.bestpractical.com
Sent: Wednesday, October 12, 2005 8:26 PM
Subject: Re: [rt-users] trying to install rt3.4.4

On Tue, 2005-10-11 at 14:32, yiqiang wrote:

Thanks for the reply.

I have checked and the following modules u mentioned are up to date on my
CPAN.
I am not sure what modules are missing because when i do a 'make testdeps’
everything shows "found"
cept for the last line which shows “SOMETHING WAS MISSING!”

Try installing Pod::Tests, then run it again.

Les Mikesell
les@futuresource.com

I am sure mysql is installed and running.
but when i do the following, error occurs as well.

[root@fc rt-3.4.4]# mysql
ERROR 1045: Access denied for user: ‘root@localhost’ (Using password: NO)

Any advice?

The default install of mysql on fedora does not require a password
for root on the local machine. Someone must have set one or this
is not a default install. However, now that you mention it, FC2
does not include mysql 4.x, so you must have replaced it. I suppose
it’s late in the game for this, but you might consider a change
to the Centos4 distribution which (a) includes mysql4.x in the
base distribution, (b) is close to FC3, slightly ahead of what you
have, and © has a much longer expected life for updates.

Les Mikesell
les@futuresource.com

I have encountered the following error.
Could it be that my mod_perl is not up to date?

[root@fc usr]# /usr/local/apache/bin/apachectl restart
Syntax error on line 1319 of /usr/local/apache/conf/httpd.conf:
Invalid command ‘PerlModule’, perhaps mis-spelled or defined by a module not
included in the server configuration

With Regards,

Low Ee Chiang----- Original Message -----
From: “Les Mikesell” les@futuresource.com
To: “yiqiang” yiqiang@happix.net
Cc: rt-users@lists.bestpractical.com
Sent: Thursday, October 13, 2005 1:14 AM
Subject: Re: [rt-users] trying to install rt3.4.4

On Wed, 2005-10-12 at 11:54, yiqiang wrote:

I am sure mysql is installed and running.
but when i do the following, error occurs as well.

[root@fc rt-3.4.4]# mysql
ERROR 1045: Access denied for user: ‘root@localhost’ (Using password: NO)

Any advice?

The default install of mysql on fedora does not require a password
for root on the local machine. Someone must have set one or this
is not a default install. However, now that you mention it, FC2
does not include mysql 4.x, so you must have replaced it. I suppose
it’s late in the game for this, but you might consider a change
to the Centos4 distribution which (a) includes mysql4.x in the
base distribution, (b) is close to FC3, slightly ahead of what you
have, and © has a much longer expected life for updates.

Les Mikesell
les@futuresource.com

Sounds more like mod_perl isn’t loaded.

jbw

yiqiang wrote:

Well mod_perl2 is installed and working.
Now when i try to start apache, it doesnt start.

I checked the error logs and this is what i got.

[Thu Oct 13 17:05:08 2005] [error] Can’t load Perl file:
/opt/rt3/bin/webmux.pl for server rt.example.com:0, exiting…\n
[Thu Oct 13 17:06:49 2005] [error] Can’t load Perl file:
/opt/rt3/bin/webmux.pl for server rt.example.com:0, exiting…\n

With Regards,

Low Ee ChiangFrom: “Joby Walker” joby@u.washington.edu
To: “yiqiang” yiqiang@happix.net
Cc: rt-users@lists.bestpractical.com
Sent: Thursday, October 13, 2005 2:09 PM
Subject: Re: [rt-users] trying to install rt3.4.4

Sounds more like mod_perl isn’t loaded.

jbw

yiqiang wrote:

I have encountered the following error.
Could it be that my mod_perl is not up to date?

[root@fc usr]# /usr/local/apache/bin/apachectl restart
Syntax error on line 1319 of /usr/local/apache/conf/httpd.conf:
Invalid command ‘PerlModule’, perhaps mis-spelled or defined by a module
not
included in the server configuration

With Regards,

Low Ee Chiang

----- Original Message -----
From: “Les Mikesell” les@futuresource.com
To: “yiqiang” yiqiang@happix.net
Cc: rt-users@lists.bestpractical.com
Sent: Thursday, October 13, 2005 1:14 AM
Subject: Re: [rt-users] trying to install rt3.4.4

I am sure mysql is installed and running.
but when i do the following, error occurs as well.

[root@fc rt-3.4.4]# mysql
ERROR 1045: Access denied for user: ‘root@localhost’ (Using password: NO)

Any advice?

The default install of mysql on fedora does not require a password
for root on the local machine. Someone must have set one or this
is not a default install. However, now that you mention it, FC2
does not include mysql 4.x, so you must have replaced it. I suppose
it’s late in the game for this, but you might consider a change
to the Centos4 distribution which (a) includes mysql4.x in the
base distribution, (b) is close to FC3, slightly ahead of what you
have, and © has a much longer expected life for updates.

Well mod_perl2 is installed and working.
Now when i try to start apache, it doesnt start.

You can avoid a lot of those problems by using fastcgi. The
procedure for RHEL4 at
http://wiki.bestpractical.com/index.cgi?RHEL4InstallGuide should
work for FC2 if you have already replaced your MySQL version.

Les Mikesell
les@futuresource.com